Package Scientific :: Package Geometry :: Module Transformation :: Class Shear

[frames] | no frames]

# Class Shear

    Transformation --+
                     |
                    Shear

Instance Methods

Scientific.Geometry.Vector

__call__(self, vector) Returns: the transformed vector |

__init__(self, *args) |

__mul__(self, other) |

asLinearTransformation(self) |

Transformation

inverse(self) Returns: the inverse transformation |

Method Details

### __call__(self, vector)
(Call operator)

Parameters:
  - `vector` - the input vector
Returns: Scientific.Geometry.Vector
  the transformed vector
Overrides: Transformation.__call__
  (inherited documentation)

### inverse(self)

Returns: Transformation
  the inverse transformation
Overrides: Transformation.inverse
  (inherited documentation)